Bug 1884 - [Intel/i810] System reboot on startx using i810
Summary: [Intel/i810] System reboot on startx using i810
Status: RESOLVED WONTFIX
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: 6.8.1
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-22 06:16 UTC by Jim Pease
Modified: 2005-06-27 09:20 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Bug-related config file (3.38 KB, text/plain)
2004-11-22 06:20 UTC, Jim Pease
no flags Details
Bug-related log file (49.45 KB, text/plain)
2004-11-22 06:20 UTC, Jim Pease
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Pease 2004-11-22 06:16:38 UTC
Description of problem:
Since installation of Core 3, I have been unable to get a dual-head setup
working with the i810 driver (or a single monitor setup using i810, for that
matter).  Fortunately, I have an nv card that works fine.  I had a working setup
in Core 1 with the same hardware.  Despite several attempts with various option
settings toggled, the system would reboot whenever i810 driver was loaded.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12.FC3.1

How reproducible:
Always

Steps to Reproduce:
1.startx or X -config with attached xorg.conf  

Actual Results:  System reboots.

Expected Results:  X windows with dual monitor setup.

Additional info:

I get the following errors in my Xorg log:

...
(II) I810(1): initializing int10
(EE) I810(1): Cannot read V_BIOS
(II) I810(1): this driver cannot do DDC without VBE
...
(II) I810(1): [agp] GART: no dcache memory found
(II) I810(1): [agp] Bound backbuffer memory
(II) I810(1): [agp] Bound depthbuffer memory
(EE) I810(1): [agp] Unable to allocate system texture memory.
Disabling DRI.
(II) I810(1): [drm] removed 1 reserved context for kernel
Comment 1 Jim Pease 2004-11-22 06:20:17 UTC
Created attachment 1325 [details]
Bug-related config file
Comment 2 Jim Pease 2004-11-22 06:20:44 UTC
Created attachment 1326 [details]
Bug-related log file
Comment 3 Jim Pease 2004-11-23 13:54:32 UTC
I was able to "solve" this by tweaking my BIOS so the onboard i810 controller is
the primary, and by installing the latest module from CVS.  It would be nice to
have my good graphics card as the primary, however, not the onboard i810, as I
had before. 
Comment 4 Alan Hourihane 2005-04-02 15:14:52 UTC
Jim, have you tried 6.8.2 ?
Comment 5 Alan Hourihane 2005-06-28 02:20:13 UTC
Closing. Re-open if problem persists with 6.8.2. Marking as WONTFIX for 6.8.1.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.